// component/personCenter/personCenter.js
var app = getApp()
const wxService = require('../../utils/wxService')
const envInfo = require('../../config/index').envInfo

Component({
  properties: {
    personData: {
			type: Object,
			value: {},
    },
    integralNum:  {
			type: Number,
			value: 0,
    },
    cardMember: {
      type: Object,
      value: {},
    },
    baseUserInfo: {
      type: Object,
      value: {},
      observer(newVal){
        this.setData({
          memberActivateStatus: newVal && newVal.memberActivateStatus || false,
          memberCardNo: newVal && newVal.memberCardNo || '',
          currentMobile: newVal && newVal.member && newVal.member.mobile  || '',
        })
      }
    },
    couponNum:  {
			type: Number,
			value: 0,
    },
    token:{
      type: String,
      observer(newVal){
        this.setData({
          _token : newVal
        })
      }
    }
  },
  /**
   * 页面的初始数据
   */
  data: {
    personCenter: {},
    memberCardNo: "",
    memberActivateStatus: false,
    integralNum: 0,
    couponNum: 0,
    // baseUrl: '/assets/imgs/060610.png',
    baseUrl: '#02bb70',
    isAuthorization: false,
    _token: '',
    currentMobile: '',
    baseImgUrl: ''
  },
  attached () {
    this.setData({
      personCenter: this.data.personData,
      baseImgUrl: app.globalData.imageUrl
    })
   
    const { cardMember } = this.data
    if(cardMember){
      this.setData({
        currentMobile: cardMember.mobile || ''
      })
    }

    // const baseUserInfo = wx.getStorageSync('_baseUserInfo')
    // if (baseUserInfo && baseUserInfo.member && baseUserInfo.member.mobile) {
    //   console.log('cccc', baseUserInfo.member.mobile)
    //   this.setData({
    //     currentMobile: baseUserInfo.member.mobile
    //   })
    // }

    // let base64 = wx.getFileSystemManager().readFileSync(this.data.baseUrl, "base64");
    // this.setData({
    //   baseUrl: "data:image/png;base64," + base64
    // })
  },
  methods: {
    handleToMemberOfOwn() {
      wxService.router(`/pages/memberOfOwn/memberOfOwn`)
    },
    toBonusDetails() {
      wxService.router(`/pages/integralWater/integralWater`)
    },
    toCouponList() {
      wxService.router(`/pages/coupons/coupons`)
    },
    handleTtoActiveMemebr() {
      if (wx.getStorageSync('_baseUserInfo')){
          wxService.openCard()
      }else{
        this.setData({
          isAuthorization:true
        })
      }
    },
    handleGoWxCard() {
      wxService.openCard()
    }
  }
})